#!/usr/bin/python
# -*- coding: utf-8 -*-

from setuphelpers import *

uninstallkey=[]

def install():

    versionpaquet = control['version'].split('-',1)[0]
    install_exe_if_needed("gimp-%s-setup.exe" % versionpaquet,silentflags='/VERYSILENT /NORESTART /RESTARTEXITCODE=3010 /SUPPRESSMSGBOXES /SP-',key='GIMP-2_is1',min_version=versionpaquet,killbefore=['gimp.exe'],timeout=900)


def update_package():

    htmlSource = ensure_unicode(wgets("https://www.gimp.org/downloads/",timeout=120)).splitlines()
    for line in htmlSource:
        if '.exe' in line :
            if not 'help' in line :
                if not 'torrent' in line :
                    urlgimp = 'https://download.gimp.org/mirror/pub/gimp/' + line[line.find("/gimp/") + 6 : line.find('" title') ]
                    filenamegimp = urlgimp.rsplit('/',1)[1]
                    break


    vers = filenamegimp.split('-')[1]

    print('Last Version = ' + vers)

    allexe = glob.glob('*.exe')
    for exe in allexe:
        if exe != filenamegimp :
            remove_file(exe)

    if not isfile(filenamegimp):
        wget(urlgimp,filenamegimp,download_timeout=120)


    os.chdir(os.path.dirname(__file__))

    from waptpackage import PackageEntry
    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = vers + '-0'
    pe.save_control_to_wapt(os.getcwd())


if __name__ == '__main__':
    update_package()